#[test]
fn tests() {
    let t = trybuild::TestCases::new();
    t.pass("tests/01-parse-impl.rs");
    t.compile_fail("tests/02-not-impl.rs");
    t.compile_fail("tests/03-not-trait-impl.rs");
    t.pass("tests/04-generics.rs");
    t.pass("tests/05-where.rs");
    t.pass("tests/06-impl-trait.rs");
    t.pass("tests/07-docs.rs");
    t.pass("tests/08-inherent-docs.rs");
    t.pass("tests/09-multiple-traits.rs");
    t.pass("tests/10-multiple-traits-with-generics.rs");
    t.pass("tests/11-traits-generics-docs.rs");
    t.pass("tests/98-readme.rs");
    t.pass("tests/99-goal.rs");
}
